#include <iostream>

int main()
{
	int x1,y1,x2,y2;
	int kombinacije = 0;

	std::cin >> x1 >> y1 >> x2 >> y2;

	if(x1 == x2 && y1 != y2)
		kombinacije += 2;

	if(y1 == y2 && x1 != x2)
		kombinacije += 2;

	if(x1 != x2 && y1 != y2)
		if(abs(x1 - x2) == abs(y1 - y2))
			kombinacije += 1;

	std::cout << kombinacije;

}